Access Profile API
List Access Profiles
List all access profiles for a team.
GET
/
v2
/
access-profiles
List Access Profiles
curl --request GET \
--url https://public.api.serval.com/v2/access-profiles \
--header 'Authorization: Bearer <token>'import requests
url = "https://public.api.serval.com/v2/access-profiles"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://public.api.serval.com/v2/access-profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"teamId": "<string>",
"name": "<string>",
"description": "<string>",
"isTeamDefault": true,
"createdAt": "2023-11-07T05:31:56Z",
"matchingCriteria": {
"groups": {
"includedGroupIds": [
"<string>"
],
"excludedGroupIds": [
"<string>"
]
},
"currentTeam": {
"teamRoles": []
}
},
"grants": {
"appResourceRoles": [
{
"appResourceRoleId": "<string>",
"useTeamDefaultAccessProfile": true
}
],
"workflows": [
{
"workflowId": "<string>"
}
]
},
"builtinProfileType": "<string>"
}
],
"nextPageToken": "<string>"
}{
"message": "<string>",
"detail": {
"type": "<string>",
"value": "<string>",
"debug": {}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The ID of the team to list access profiles for.
Maximum number of access profiles to return (default 50, max 1000).
Page token for pagination.
When set, only return access profiles that gate this workflow (i.e. profiles whose grants include the workflow). The workflow must belong to the requested team.
Was this page helpful?
⌘I
List Access Profiles

